> ## Documentation Index
> Fetch the complete documentation index at: https://developer.breakcold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a status



## OpenAPI

````yaml /v3/api-reference/openapi.json patch /status/{id}
openapi: 3.0.3
info:
  title: Breakcold OpenAPI
  version: 3.1.0
servers:
  - url: https://api.breakcold.com/rest
security: []
externalDocs:
  url: https://developer.breakcold.com
paths:
  /status/{id}:
    patch:
      tags:
        - Status
      summary: Update a status
      operationId: status-update
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                id_list:
                  type: string
                instructions:
                  type: string
                color:
                  type: string
                  pattern: ^#([0-9A-F]{3}){1,2}$
                success_rate:
                  type: number
                  nullable: true
                  minimum: 0
                  maximum: 100
                order:
                  type: integer
                type:
                  anyOf:
                    - type: string
                      enum:
                        - DEAL_LOST
                        - DEAL_WON
                    - type: string
                      nullable: true
                leads_order:
                  type: array
                  items:
                    type: string
                ai_instructions: {}
                ai_rules: {}
                ai_instructions_text:
                  type: string
                ai_rules_text:
                  type: string
                ai_enabled:
                  type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    nullable: true
                    enum:
                      - DEAL_WON
                      - DEAL_LOST
                      - null
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                    nullable: true
                  order:
                    type: integer
                    nullable: true
                  color:
                    type: string
                    nullable: true
                  success_rate:
                    type: integer
                    nullable: true
                  created_at:
                    type: string
                    nullable: true
                  updated_at:
                    type: string
                    nullable: true
                  id_space:
                    type: string
                    nullable: true
                  leads_order:
                    nullable: true
                  ai_instructions:
                    nullable: true
                  ai_rules:
                    nullable: true
                  ai_instructions_text:
                    type: string
                    nullable: true
                  ai_rules_text:
                    type: string
                    nullable: true
                  ai_enabled:
                    type: boolean
                    nullable: true
                  icon:
                    type: string
                    nullable: true
                  instructions:
                    type: string
                    nullable: true
                  id_list:
                    type: string
                    nullable: true
                required:
                  - type
                  - id
                  - name
                  - order
                  - color
                  - success_rate
                  - created_at
                  - updated_at
                  - id_space
                additionalProperties: true
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY

````